Name: libmng
Version: 1.0.3
Release: 2
URL: http://www.libmng.com/
Summary: Library for supporting MNG (Animated PNG) graphics
License: IBM_ILA
Source: http://www.libmng.com/download/%{name}-%{version}.tar.gz
Source1: IBM_ILA
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Requires: zlib, libjpeg

%define DEFCC cc

%package devel
Summary: Development files for the MNG (Animated PNG) library
Group: Development/Libraries

%description
LibMNG is a library for accessing graphics in the MNG (Multi-image
Network Graphics, basically animated PNG) and JNG (JPEG Network Graphics,
basically JPEG streams integrated in a PNG chunk) formats.

%description devel
Development (Header) files for the LibMNG library.

LibMNG is a library for accessing graphics in the MNG (Multi-image
Network Graphics, basically animated PNG) and JNG (JPEG Network Graphics,
basically JPEG streams integrated in a PNG chunk) formats.

Install %{name}-devel if you wish to develop or compile applications
using MNG graphics.


%prep
%setup -q

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE.new
cat LICENSE >> LICENSE.new
mv LICENSE.new LICENSE

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi

libtoolize --force
[ ! -x ./configure ] && ./autogen.sh --help # generate, but don't run
%configure --enable-shared --with-zlib --with-jpeg
cp /usr/bin/libtool ./libtool
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
(
  cd $RPM_BUILD_ROOT
  for dir in lib include
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)

%clean
rm -rf $RPM_BUILD_ROOT

%ifos linux
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc README LICENSE
%{prefix}/lib/*.a
#links
/usr/lib/*.a

%files devel
%defattr(-,root,root)
%doc LICENSE
%{prefix}/lib/*.la
%{prefix}/include/*
#links
/usr/lib/*.la
/usr/include/*

%changelog
* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Tue Oct 09 2001 David Clissold <cliss@austin.ibm.com>
- Update to libmng version 1.0.3

* Fri May  4 2001 David Clissold <cliss@austin.ibm.com>
- Make ldconfig a linux-specific dependency (thus, not AIX).

* Thu May  3 2001 Reza Arbab <arbab@austin.ibm.com>
- Modified for AIX freeware distribution.

* Wed Feb 28 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove bogus symlink trick

* Mon Feb 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to 1.0.0 to make Qt 2.3.0 happy

* Sat Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.4, fixes MNG 1.0 spec compliance

* Tue Dec 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.3
- Add ldconfig calls in %%post and %%postun

* Tue Dec 05 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- added a clean section to the spec file

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm

